GetAcadState Method

Back to Methods Reference

Gets an AcadState object to monitor the state of AutoCAD from out-of-process applications.

Signature

VBA : RetVal = object.GetAcadState()

VL : RetVal = (vla-GetAcadState object)

(vla-GetAcadState applic)

  • Object : Application
    The object or objects this method applies to.

  • RetVal : AcadState
    An object containing an IsQuiescent property used to monitor the state of AutoCAD.

Remarks

It is recommended that you call this method immediately after acquiring the AutoCAD appplication object. This is the best opportunity to catch AutoCAD in a quiescent state.

Example :


(defun c:al-getacadstate ()

(vl-load-com)

(setq applic (vlax-get-acad-object))

(setq state (vla-GetAcadState applic))

(princ state)

(princ)

);defun

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website